package com.suntray.acl.mapper;

import com.suntray.acl.domain.SysUser;
import org.apache.ibatis.annotations.*;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserMapper{

    /**
     * 用户登录，获取用户信息
     * @param username
     * @return
     */
    @Select("select id,username,password,nick_name as nickName,id_card as idCard,tel,email,is_disabled as isDisabled,is_locked as isLocked \n" +
            "from acl_user where username=#{username} or id_card=#{username} or tel=#{username} or email=#{username}")
    @Results({
            @Result(id = true, property = "id", column = "id"),
            @Result(property = "roles", column = "id", javaType = List.class,
                many = @Many(select = "com.suntray.acl.mapper.RoleMapper.findByUid"))
    })
    public SysUser findByName(@Param("username") String username);

}
