package com.suntray.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface EnableLock {
    /**
     * 锁名，唯一的，可以使用SpEL表达式
     *
     * @return
     */
    public String name();

    /**
     * 锁名自动添加前缀：simpleClassName_
     * @return
     */
    public boolean autoPrefix() default true;

    /**
     * 加锁时间，单位秒
     *
     * @return
     */
    public int holdSeconds() default 60;

    /**
     * 备注
     *
     * @return
     */
    public String remark() default "";

    /**
     * 未取到锁 响应的消息
     *
     * @return
     */
    public String message() default "";

}
