package com.suntray.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * excel导出字段
 *
 * @author zhouhui
 * @date 2020-09-27
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.METHOD})
public @interface ExcelField {
    /**
     * 排序字段
     */
    int order() default 0;

    /**
     * 字段的中文说明，若为空，默认取值ApiModelProperty的value
     */
    String remark() default "";


    /**
     * 字段值是否自增，若自增必需是int类型
     */
    boolean auto() default false;
}
