package com.suntray.storage.schedules;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;

/**
 * @ClassName: IsmSchedule
 * @Description: TODO
 * @Author:
 * @Date:
 * @Version: 1.0
 */
@ConditionalOnProperty(prefix = "time", name = "enable", havingValue = "true")
@Slf4j
@Component
public class IsmSchedule {
    /**
     * 定时检查柜子连接状态
     */
    @Scheduled(fixedDelayString = "${time.interval}")
    void checkSocketState() {
        log.info("{}开始采集地磅、制冷剂、传感器信息", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss").format(LocalDateTime.now()));
    }
}
