package com.suntray.utils;

import java.util.AbstractList;
import java.util.List;

public class ListUtil {
    public static <T>List<List<T>> partition(final List<T> list,final int size){
        if(list== null){
            throw new NullPointerException("List must not be null !");
        }
        if(size<=0){
            throw  new IllegalArgumentException("Size must be greater than 0 !");

        }
        return new Pattition<>(list,size);
    }
    private static class Pattition<T> extends AbstractList<List<T>>{
        private final List<T> list;
        private final int size;

        private Pattition(List<T> list, int size) {
            this.list = list;
            this.size = size;
        }

        public List<T> get(final int index){
            final  int listSize = size();
            if(index<0){
                throw new IndexOutOfBoundsException("Index "+index+"must not be negative");
            }
            if(index>= listSize){
                throw new IndexOutOfBoundsException("Index "+index+"must be less than size "+listSize);
            }
            final int start =index*size;
            final int end=Math.min(start+size,list.size());
            return list.subList(start,end);
        }


        @Override
        public int size() {
            return (int)Math.ceil((double)list.size()/(double)size);
        }
        public boolean isEmpty(){
            return list.isEmpty();
        }
    }
}
