package com.suntray.utils;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;

/**
 * 用于前台向后台传分页参数
 */
@Data
@AllArgsConstructor
public class PageParam implements Serializable {
    private static final long serialVersionUID = 3614480491120534103L;
    /**
     * 页数
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "页数")
    private Integer pageNumber=1;
    /**
     * 每页记录数
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "每页记录数")
    private Integer pageSize=20;

    public PageParam() {
    }
}
