package com.suntray.utils;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 内存分页工具类
 */
public class PageUtils {

    /**
     * 分页
     *
     * @param list
     * @param param
     * @param <T>
     * @return
     */
    public static <T> Page<T> page(List<T> list, PageParam param) {
        int p = param.getPageNumber();
        int ps = param.getPageSize();

        int start = (p - 1) * ps;
        int end = start + ps;
        end = Math.min(end, list.size());

        Page<T> page = new Page<>();
        page.setRecords(list.subList(start, end));
        page.setCurrent(p);
        page.setSize(ps);
        page.setTotal(list.size());
        return page;
    }
}
